#pragma once
#include "mptp.h"
#include "types.h"
#include <stdbool.h>
#include <sys/socket.h>

typedef struct lm_pool_thread_arg {
  int             sock;
  struct sockaddr addr;
  lm_mptp_t       packet;
  lm_pool_t      *pool;
} lm_pool_thread_arg_t;

lm_pool_t *lm_pool_new(char *name, char *url);
void       lm_pool_test(lm_pool_t *pool);
bool       lm_pool_info_load(lm_pool_t *pool, char *file);
void       lm_pool_info_free(lm_pool_t *pool);
void       lm_pool_free(lm_pool_t *pool);
void       lm_pool_serve_thread(void *arg);
void       lm_pool_serve(lm_pool_t *pool, lm_mptp_t *packet, int sock, struct sockaddr *addr);
